.block-about {
	display: grid;
	grid-template-columns: repeat( 2, minmax( 0, 1fr ) );
}

.block-about.has-background,
.editor-styles-wrapper .block-about.has-background,
.block-about.has-background.alignfull,
.editor-styles-wrapper .block-about.has-background.alignfull {
	padding: 0;
}

.block-about__image {
	position: relative;
	height: 100%;
	width: 100%;
}

.block-about__image img,
.block-about__image img[style] {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100% !important;
	aspect-ratio: auto !important;
	object-fit: cover;
}

.block-about__content {
	position: relative;
	flex-basis: 300px;
	flex-grow: 1;
	margin: 32px;
	padding: 24px;
	border: 1px solid var(--wp--preset--color--foreground);
}

.block-about__content::before {
	content: '';
	position: absolute;
	top: 0;
	right: 20px;
	width: 64px;
	height: 64px;
	transform: translateY(-50%);
	padding: 8px;
	border-radius: 50%;
	background-color: var(--wp--preset--color--quaternary);
	background-image: url(/wp-content/themes/juliapacheco-2025/assets/icons/logo/sitelogo-supporting.svg);
	background-size: 48px;
	background-repeat: no-repeat;
	background-position: center center;
}

@media only screen and (max-width: 1024px) {
	.block-about__content::before {
		left: 50%;
		transform: translate(-50%, -50%);
		width: 48px;
		height: 48px;
		background-size: 32px;

	}

}

@media only screen and (max-width: 767px) {
	.block-about.has-background {
		display: block;
		position: relative;
		margin-inline: calc( var(--wp--custom--layout--padding) * -1 );
		padding-bottom: 16px;
	}

	.block-about__content {
		margin: 16px 16px 0;
		padding: 16px;
		text-align: center;
	}

	.block-about__content .wp-block-buttons {
		justify-content: center;
	}

	.block-about__image {
		height: auto;
	}

	.block-about__image img,
	.block-about__image img[style] {
		position: relative;
		top: auto;
		left: auto;
		width: 100%;
		height: auto !important;
		aspect-ratio: 3 / 2 !important;
		object-fit: cover;
	}
}

.block-area-sidebar .block-about.has-background {
	display: block;
	padding-bottom: 16px;
}

.block-area-sidebar .block-about__content {
	margin: 16px 16px 0;
	padding: 16px;
	text-align: center;
}

.block-area-sidebar .block-about__content .wp-block-buttons {
	justify-content: center;
}

.block-area-sidebar .block-about__content::before {
	left: 50%;
	transform: translate(-50%, -50%);
	width: 48px;
	height: 48px;
	background-size: 32px;

}

.block-area-sidebar .block-about__image {
	height: auto;
}

.block-area-sidebar .block-about__image img,
.block-area-sidebar .block-about__image img[style] {
	position: relative;
	top: auto;
	left: auto;
	width: 100%;
	height: auto !important;
	aspect-ratio: 3 / 2 !important;
	object-fit: cover;
}
